{
  "schema_version": "1.4.0",
  "id": "GHSA-jq6p-4382-pqcc",
  "modified": "2022-05-17T02:09:36Z",
  "published": "2022-05-17T02:09:36Z",
  "aliases": [
    "CVE-2008-7126"
  ],
  "details": "Integer overflow in osagent.exe in Borland VisiBroker Smart Agent 08.00.00.C1.03 and earlier allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted packet with a large string length value to UDP port 14000, which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-7126"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/40978"
    },
    {
      "type": "WEB",
      "url": "http://aluigi.altervista.org/adv/visibroken-adv.txt"
    },
    {
      "type": "WEB",
      "url": "http://archives.neohapsis.com/archives/fulldisclosure/2008-03/0018.html"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/43057"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29213"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/28084"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/0748/references"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-08-31T10:30:00Z"
  }
}